<html>
  <head>
    <meta http-equiv="Pragma"        content="no-cache">
    <meta http-equiv='Content-Type'  content='text/html; charset=UTF-8'>
    <link rel="stylesheet" type="text/css" href="/WmRoot/webMethods.css">
    <link rel="stylesheet" type="text/css" href="doc/onlinedoc.css">
    <title>%value $host% - wM IS Service Profiler - About</title>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>

    <style>
      <!--
      body, h2
        { border: 0px; }

       -->
    </style>
  </head>

  <body onLoad="setNavigation('about.dsp', 'doc/OnlineHelp/PackageHelp.html#about', 'foo');">

    %invoke wia.pub.issprofiler.ui.about:getMetadata%
    %end invoke%

    <table>
      <tr>
        <td width="10"></td>
        <td>
          <table border="0" valign="top">
            <tr>
               <td valign="top">
                 <a href="doc/ReleaseNotes.html" target="_blank"> Release&nbsp;Notes </a>
                 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                 <a href="doc/VersionHistory.html" target="_blank"> Version&nbsp;History </a>
               </td>
               <td align="right"><img src="images/logo.gif"></td>
            </tr>
            <tr>
              <td colspan="2">
                <p class="toptitle">
                  Integration Server <u>Service Profiler</u>, v%value version%
                </p>
                %ifvar isInstalledOnline equals('true')%
                   <h2>Have your own Service Profiler <u>free</u> evaluation instance!</h2>
                      <div>
                         <p>
                           This profiler instance is installed online and is shared. This creates the possibility of user
                           concurrency and testing data that is not relevant to you.
                         </p>
                         <p>
                            If you which to have an evaluation version installed in your own environment,
                            under your control, and for your own tests, please download it from the
                            <a href="http://www.wrightia.com/serviceprofilerdownloads.html" target="_blank">Service Profiler download page</a>.
                         </p>
                      </div>
                %endif%

                <h2>Introduction</h2>
                  <div>
                    <p>
                      This tool enables you the analysis of where (which services) both
                      <span class="systemname">Processing Time</span> and
                      <span class="systemname">Elapsed Time</span> is being spent.
                    </p>
                    <p>
                      The difference between <span class="systemname">Processing Time</span> and
                      <span class="systemname">Elapsed Time</span>, is that the latter is
                      the time passed on your watch since the service started until it ended (<span class="systemname">Elapsed</span>),
                      while the first is the actual time spend in the CPU doing work (<span class="systemname">Spent</span>).
                    </p>
                    <p>
                      These times per service can also be analyzed taking into consideration only the code of
                      the service (<span class="systemname">Own Code</span>) or including the time spend in any other
                      service called from it (<span class="systemname">With Child Code</span>).
                    </p>
                  </div>

                <h2>Footprint</h2>
                  <div>
                    <p>
                      The tool is intended to be as less intrusive as possible, leaving a very small footprint on
                      your Integration Server installation.
                    </p>
                    <p>
                      The tool does not need any changes to any services to enable its functionality.
                      Appart from the installation of its package, there is only the need to include a small block
                      of script code in the <tt>server.sh</tt>/<tt>server.bat</tt>
                      file (in a single especific place) which will add a few options to the server command-line.
                    </p>
                  </div>

                <h2>Administration</h2>
                  <div>
                    <p>
                      Administration options allow you to start/stop the profiler and to limit the amount of data
                      that is considered for output analysis.
                    </p>
                    <p>
                      While running, the Service Profiler establishes no filters: <u>it collects info for all running
                      services, because they all contribute to your system performance</u>.
                      However, these may not all be under your control or even the object of interest for your analysis.
                      Therefore, you can establish wich packages you wish to leave out through <span class="keyword">Regular Expression</span>
                      patterns over the package names (the result of the applied pattern can be immediately checked, also to avoid runtime errors).
                    </p>
                  </div>

                <h2>Support</h2>
                  <div>
                    <p>
                        Support for this tool is exclusively provided by <span class="productname">Wrightia</span>.
                    </p>
                    <p>
                        <span class="productname">webMethods Support Services</span> must <u>not</u> be contacted with issues regarding
                        <span class="productname">Service Profiler</span> or somehow related with the tool.
                        Furthermore, when reporting a <span class="productname">webMethods Integration Server</span> issue with hard evidence
                        (<i>e.g.</i>; when providing a JVM thread dump), it may be required to completely remove the
                        <span class="productname">Service Profiler</span> from the equation
                        for full acceptance by <span class="productname">webMethods Support Policy</span> compliance.
                        For this purpose, the tool may be prevented from loading without needing to uninstall it.
                        For detailed information about this feature and on Support please refer to the
                        <a href="doc/ISSPROF - User Guide.pdf" target="_blank">User Guide</a>.
                    </p>
                  </div>

              <td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </body>
</html>
